Skip to main content
PUT
https://checkout.dintero.com/v1
/
admin
/
gateways
/
collector
/
credentials
admin_gateways_collector_credentials_put
curl --request PUT \
  --url https://checkout.dintero.com/v1/admin/gateways/collector/credentials \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "data": {
    "url": "<string>",
    "username": "<string>",
    "password": "<string>",
    "store_id": 123,
    "country": "<string>",
    "options": {
      "customer_client": {
        "customers_client_id": "<string>",
        "customers_client_secret": "<string>",
        "customers_client_audience": "<string>"
      },
      "enable_on_hold": false,
      "settlement_reference_fields": "account_id"
    }
  }
}
'
{
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "version": 1,
  "updated_by": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing admin endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Query Parameters

overwrite
boolean
default:false

Overwrite an existing credentials

validate_credential
boolean
default:true

Body

application/json
name
string
required

The unique id that identifies the credential (store_id)

data
object
required
description
string
promote
object[]

Use the credential to configure gateway and/or gateway overrides Will create new credential from existing gateway / override so existing transactions created with the old configuration can continue to work

Response

Updated

name
string
required

The unique name that identifies the credential

created_at
string<date-time>
required
created_by
string
required
updated_at
string<date-time>
required
version
integer
required
Example:

1

updated_by
string
Last modified on May 12, 2026